Subject: Re: [bitcoin-dev] BIP Proposal: Consensus (hard fork) PoST Datastore for Energy Efficient Mining

From: Lonero Foundation <[email-masked]>
Date: Sun, 14 Mar 2021 22:32:31 -0400

Hi, just to clarify this isn't a trade-off on security. Infact, my proposal
actually increases the level of security that Bitcoin currently has. There
is both an efficiency and cryptography aspect to this proposal. I talked
about the higher levels of security a bit in my BIP, and have talked to a
few about energy consumption.

Outside of consumption of energy however, is the fact that BTC can be more
adaptable towards a major range of hardware without disenfranchising others
or other major trade-offs. There is no need for BTC to specifically be
tailored towards ASICs if the same level of proof of work can be done from
other hardware sources at similar costs. The technology and level of
cryptography between now and when Satoshi started BTC development 14 years
ago is also fastly different. BTC went from you can mine lots of Bitcoin by
literally downloading the whitepaper, to USB miners, to ASICs to now whole
entire mining centers.

This is because of complexity, but that complexity in the near future can
be entirely meaningless if it is vulnerable to some of the things many
cryptography experts are worried about. Keep in mind this is in draft mode,
but over time as further implementation is done, alot of the community
including yourself might start being impressed by the more and more
tangible results.

Best regards, Andrew

On Sun, Mar 14, 2021, 10:02 PM Eric Martindale <[email-masked]>
wrote:

> Bitcoin's security is derived from the energy consumption of mining, so
> reducing the overall expenditure would be an objective decrease in
> resilience.  As a miner, your efficiency at converting energy into
> hashpower is the driving factor in your profitability, so this and any
> other future attempts to decrease the cost of attacking Bitcoin receives a
> hard NACK from me.
>
> If you're concerned about missing out on the subsidy or fee revenue, grab
> any number of the sub-500mSAT USB miners and get access to cheap power.
>
> Sincerely,
>
> Eric Martindale, relentless maker.
> Founder & CEO, Fabric, Inc. <https://fabric.fm>
> +1 (919) 374-2020
>
>
> On Sun, Mar 14, 2021 at 9:41 AM LORD HIS EXCELLENCY JAMES HRMH via
> bitcoin-dev <[email-masked]> wrote:
>
>> Good Afternoon,
>>
>> It is obvious that something needs to be done to curtail the current cost
>> of mining in kWh per block. I understand proposals are rejected because it
>> is considered censorship and Bitcoin has a consensus to allow anyone to
>> mine but, since mining requires specific hardware and energy requirements
>> it is already a form of censorship where most on the planet except for the
>> top 6% I am guessing here, cannot afford to mine. Without affecting the
>> current algorithm, I have previously begun to explore the process by which
>> mining can be turned into a lottery with only authorized payto addresses
>> able to mine valid blocks, since transaction fees and block rewards exist
>> to pay the miner. It would be better even if the algorithms are improved if
>> there are some ways that only a subset of miners can produce valid blocks
>> for any given period, say for 12 months with four groups starting three
>> months apart to transition, and maybe limit mining to 50 people per
>> continent to produce valid blocks at any one time. Possibly this requires a
>> consortium to oversee the lottery but it is something Bitcoin can handle
>> themselves, and would do better to handle than to wait for government
>> intervention as we have seen previously in China where power was too cheap
>> Bitcoin was banned entirely.
>>
>> KING JAMES HRMH
>> Great British Empire
>>
>> Regards,
>> The Australian
>> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
>> of Hougun Manor & Glencoe & British Empire
>> MR. Damian A. James Williamson
>> Wills
>>
>> et al.
>>
>>
>> Willtech
>> www.willtech.com.au
>> www.go-overt.com
>> and other projects
>>
>> earn.com/willtech
>> linkedin.com/in/damianwilliamson
>>
>>
>> m. 0487135719
>> f. +61261470192
>>
>>
>> This email does not constitute a general advice. Please disregard this
>> email if misdelivered.
>> ------------------------------
>> *From:* bitcoin-dev <[email-masked]> on
>> behalf of Lonero Foundation via bitcoin-dev <
>> [email-masked]>
>> *Sent:* Saturday, 6 March 2021 3:16 AM
>> *To:* Devrandom <[email-masked]>
>> *Cc:* Bitcoin Protocol Discussion <[email-masked]>
>> *Subject:* Re: [bitcoin-dev] BIP Proposal: Consensus (hard fork) PoST
>> Datastore for Energy Efficient Mining
>>
>> Also in regards to my other email, I forgot to iterate that my
>> cryptography proposal helps behind the efficiency category but also tackles
>> problems such as NP-Completeness or Halting which is something the BTC
>> network could be vulnerable to in the future. For sake of simplicity, I do
>> want to do this BIP because it tackles lots of the issues in regards to
>> this manner and can provide useful insight to the community. If things such
>> as bigger block height have been proposed as hard forks, I feel at the very
>> least an upgrade regarding the hashing algorithm and cryptography does at
>> least warrant some discussion. Anyways I hope I can send you my BIP, just
>> let me know on the preferred format?
>>
>> Best regards, Andrew
>>
>> On Fri, Mar 5, 2021, 10:12 AM Lonero Foundation <
>> [email-masked]> wrote:
>>
>> Hi, this isn't about the energy efficient argument in regards to
>> renewables or mining devices but a better cryptography layer to get the
>> most out of your hashing for validation. I do understand the arbitrariness
>> of it, but do want to still propose a document. Do I use the Media Wiki
>> format on GitHub and just attach it as my proposal?
>>
>> Best regards, Andrew
>>
>> On Fri, Mar 5, 2021, 10:07 AM Devrandom <[email-masked]>
>> wrote:
>>
>> Hi Ryan and Andrew,
>>
>> On Fri, Mar 5, 2021 at 5:42 AM Ryan Grant via bitcoin-dev <
>> [email-masked]> wrote:
>>
>>
>>   https://www.truthcoin.info/blog/pow-cheapest/
>>     "Nothing is Cheaper than Proof of Work"
>>     on | 04 Aug 2015
>>
>>
>> Just to belabor this a bit, the paper demonstrates that the mining market
>> will tend to expend resources equivalent to miner reward.  It does not
>> prove that mining work has to expend *energy* as a primary cost.
>>
>> Some might argue that energy expenditure has negative externalities and
>> that we should move to other resources.  I would argue that the negative
>> externalities will go away soon because of the move to renewables, so the
>> point is likely moot.
>>
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>